import axios from '../../utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 获取设备初始化审批列表
export function getTaskEquipmentList(params) {
  return axios.get(`/SZWL-SERVER/tEquipmentApply/pageTEquipmentApply?${stringToUrl(params)}`);
}
// 获取提现账号审批列表
export function getTaskJoinpayMchCheckList(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMchCheck/pageMch?${stringToUrl(params)}`);
}
// 获取提现账号详情
export function gettJoinpayMchCheckInfo(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMchCheck/selectOne?${stringToUrl(params)}`);
}
// 提现账号审批
export function changetJoinpayMchCheckStatus(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMchCheck/shenhe?${stringToUrl(params)}`);
}
// 汇付账号入驻审批
export function auditAddMerchant(params) {
  return axios.get(`/SZWL-SERVER/tHuifuMch/auditAddMerchant?${stringToUrl(params)}`);
}
// 汇付账号修改审批
export function auditUpdateMerchant(params) {
  return axios.get(`/SZWL-SERVER/tHuifuMch/auditUpdateMerchant?${stringToUrl(params)}`);
}
// 获取设备列表
export function getEquipmentList(params) {
  return axios.get(`/SZWL-SERVER/tEquipment/listEquipment?${stringToUrl(params)}`);
}
// 设备审批
export function changeStatus(params) {
  return axios.get(`/SZWL-SERVER/tEquipmentApply/changeStatus`, { params });
}
// 获取分销审批列表
export function getTaskProportionList(params) {
  return axios.get(`/SZWL-SERVER/tProportion/pageProportionAdmin?${stringToUrl(params)}`);
}
// 分销审批
export function changeProportionStatus(params) {
  return axios.get(`/SZWL-SERVER/tProportionCheck/shenhe?${stringToUrl(params)}`);
}



